apiVersion: v1
kind: Secret
metadata:
  name: {{ clair_name }}
  namespace: {{ namespace }}
stringData:
  config.yaml: |
    clair:
      database:
        type: pgsql
        options:
          source: "host={{ clair_pg_name }} port=5432 user={{ clair_pg_admin_secret.resources[0].data['database-user'] | b64decode }} password={{ clair_pg_admin_secret.resources[0].data['database-password'] | b64decode }} dbname={{ clair_pg_admin_secret.resources[0].data['database-name'] | b64decode }} sslmode=disable statement_timeout=60000"
          cachesize: 16384
          paginationkey: "XxoPtCUzrUv4JV5dS+yQ+MdW7yLEJnRMwigVY/bpgtQ="
      api:
        addr: "0.0.0.0:6060"
        healthaddr: "0.0.0.0:6061"
        timeout: 900s
        servername:
        cafile:
        keyfile:
        certfile:
      worker:
        namespace_detectors:
        - os-release
        - lsb-release
        - apt-sources
        - alpine-release
        - redhat-release
        feature_listers:
        - apk
        - dpkg
        - rpm
      updater:
        interval: "2h"
        enabledupdaters:
        - debian
        - ubuntu
        - rhel
        - oracle
        - alpine
      notifier:
        attempts: 3
        renotifyinterval: 2h
        http:
          endpoint: "{{ clair_post_address | default('') }}"
          servername:
          cafile:
          keyfile:
          certfile:
          proxy:
